<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <title>Learn vue lesson 3 - computed variables</title>
</head>
<body>

<script src="https://vuejs.org/js/vue.js"></script>

<div id="app">

    <p>List of completed task</p>
    <ul>
        <li v-for="task in completedTask" v-text="task.name"></li>
    </ul>

    <p>current message: {{message}}</p>
    <ul>
        <li v-for="task in tasksList">{{task.name}}<input v-model="task.completed" type="checkbox"/></li>
    </ul>

    <input type="text" v-model="newTask.name"/>
    <button @click="addTask">Add task</button>
</div>

<script>
    new Vue({
        el: '#app',
        data: {
            message: "This is your current task list",
            tasksList: [
                {name: "Task1", completed: true},
                {name: "Task2", completed: false},
                {name: "Task3", completed: false},
                {name: "Task4", completed: false},
                {name: "Task5", completed: true},
                {name: "Task6", completed: true}
            ],
            newTask: {name: "", completed: false}
        },

        methods: {
            addTask: function () {
                this.tasksList.push(this.newTask)
                this.newTask = {name: "", completed: false}
            }
        },
        computed: {
            completedTask: function () {
                return this.tasksList.filter(task => task.completed)
            }
        }
    });
</script>

</body>
</html>